[Numpy-discussion] (no subject)

kortmann at ideaworks.com kortmann at ideaworks.com
Thu Aug 24 15:10:36 CDT 2006


>On Thursday 24 August 2006 09:50, kortmann at ideaworks.com wrote:
>> Sorry for my ignorance, but I have not ever heard of or used mingw32.  I
>> am also using python 2.3.
>http://en.wikipedia.org/wiki/Mingw  explains in detail.

>>
>> Is there any way someone could possibly send me a brief walk through of
>> how to install 1.0b3 on windows32?

>do you know about the ("awesome" wiki website at scipy.org)
>try your luck at
>http://www.scipy.org/Build_for_Windows

>>
>> Also I am not sure that I know how to manipulate the code that you guys
>> said that you have to so that it will work so if that is needed could you
>> post a walk through of that also?
>>

>To my knowledge there is no need to "manipulate code" ....

>Maybe you should try getting per-build  versions first.

>Sebastian Haase



Thank you for all of that.  I followed the directions carefully.  created
a numpy folder, checked out the svn via
http://svn.scipy.org/svn/numpy/trunk

changed to the numpy directory and typed python setup.py config
--compiler=mingw32 build --compiler=mingw32 install

and then reinstalled sci py because it says to install sci py after numpy.
 And then I recieved this after trying to run my program.  Any Ideas
anyone?



$HOME=C:\Documents and Settings\Administrator
CONFIGDIR=C:\Documents and Settings\Administrator\.matplotlib
loaded ttfcache file C:\Documents and
Settings\Administrator\.matplotlib\ttffont
.cache
matplotlib data path c:\python23\lib\site-packages\matplotlib\mpl-data
backend WXAgg version 2.6.3.2
Overwriting info=<function info at 0x01FAF3F0> from scipy.misc.helpmod
(was <fun
ction info at 0x01F896F0> from numpy.lib.utils)
Overwriting who=<function who at 0x01FA46B0> from scipy.misc.common (was
<functi
on who at 0x01F895F0> from numpy.lib.utils)
Overwriting source=<function source at 0x01FB2530> from scipy.misc.helpmod
(was
<function source at 0x01F89730> from numpy.lib.utils)
RuntimeError: module compiled against version 1000000 of C-API but this
version
of numpy is 1000002
Fatal Python error: numpy.core.multiarray failed to import... exiting.


abnormal program termination





More information about the Numpy-discussion mailing list